public class TestRomberg { 

    public static void main(String args[]) {
        double value;

        // Integrate the function y = x*ln(x) from
        // x=0 to x=1 with an error tolerance of 1.0e-8
        NegExpFunction function = new NegExpFunction(10.0);
        double err = 1e-8;
        value = Integrator.Romberg( function, 0., 1., err);
        err = Math.abs(1.0 - value); 
        System.out.println("\n"+function +", (0, 1)");
        System.out.println(" Romberg err = "+err+"; value =" + value
                           + " ncalls =" + function.getNCalls()); 

        // Integrate the function y = sin(x)/x from
        // x=0 to x=1 with an error tolerance of 1.0e-12
        SinXoverXFunction function2 = new SinXoverXFunction();
        double start = 1e-12; double end = 1;
        err = 1e-12;
        value = Integrator.Romberg( function2, start, end, err );
        err = Math.abs(0.9460830704 - value); 
        System.out.println("\n"+function2 +" (0, 1)");
        System.out.println(" Abs err = "+err+"; value =" + value
                           + " ncalls =" + function.getNCalls()); 

    }
} 
