public class TestTrapez {
    public static void main(String args[]) {
        double value;  

        // Integrate the function y = x*ln(x) from
        // x=2 to x=4 with an error tolerance of 1.0e-4
        LogFunction function = new LogFunction();
        value = Integrator.trapezoidal( function,2.0,4.0,1.0e-4);
        System.out.println("Int("+function+")[2,4]= "+value);

        // Integrate the function y = sqrt(x^2 + 2^2) from
        // x=0 to x=3 with an error tolerance of 1.0e-4
        SqrtFunction function2 = new SqrtFunction(2.0);
        value = Integrator.trapezoidal(function2,0.0,3.0,1.0e-4);
        System.out.println("Int[" + function2 +"][0,3]= "+value);

        // integrate function x*sin(x)
        Function f = new Function() 
            {
                public double getValue(double x) {
                    return x*Math.sin(x);
                }
                public String toString() { return "x*sin(x)";}
            };
        value = Integrator.trapezoidal( f,0.0,2.0,1.0e-10);
        System.out.println("Int("+f+") [0,1]= "+value);
    }
} 
